.mt-3.mb-4.pb-1
  = form_with(url: ticket_path(@ticket), method: 'put') do
    = hidden_field_tag 'update-state', 'yes'
    = v.progress_tracker(mode: 'step', label_position: 'under', width: 'shrink') do |progress|
      - progress.with_step name: 'state-new',
          icon: 'stars',
          color: @ticket.state_for_user == 'new' ? 'primary' : 'secondary',
          label: 'New Ticket',
          active: @ticket.state_for_user == 'new'
      - progress.with_step name: 'state-progress',
          icon: 'hourglass-split',
          color: @ticket.state_for_user == 'in_progress' ? 'primary' : 'secondary',
          label: 'In Progress',
          active: @ticket.state_for_user == 'in_progress'
      - progress.with_step name: 'state-closed',
          icon: 'check2-square',
          color: @ticket.state_for_user == 'closed' ? 'primary' : 'secondary',
          label: 'Closed',
          active: @ticket.state_for_user == 'closed'